Bug 1459190 - Block storage volume list configuration button attach/detach/delete actions are not working
Block storage volume list configuration button attach/detach/delete actions a...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.3
Assigned To: Aparna Karve
Matouš Mojžíš
ui:cloud:storage:volume
: ZStream
Depends On: 1449293
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 09:47 EDT by Satoe Imaishi
Modified: 2018-02-28 08:04 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.8.3.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1449293
Environment:
Last Closed: 2018-02-28 08:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: AWS


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 13:04:37 EST

  None (edit)
Comment 2 CFME Bot 2017-06-08 13:58:24 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c947b6e3539d78f6030d9cc2588c5468d927dcd8

commit c947b6e3539d78f6030d9cc2588c5468d927dcd8
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue May 16 21:06:57 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 13:56:08 2017 -0400

    Merge pull request #1331 from gberginc/fix/delete_cloud_volume_from_storage
    
    Redirect delete action to cloud volume controller
    (cherry picked from commit 132c945fbbf9336897c2736aad8e0c768d8e2ca3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459190

 app/controllers/ems_common.rb | 7 +++++++
 config/routes.rb              | 1 +
 2 files changed, 8 insertions(+)
Comment 3 Matouš Mojžíš 2017-06-29 16:58:17 EDT
Delete works but attach and detach are still not working.
Comment 14 CFME Bot 2018-01-04 15:37:02 EST
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/002568a052c8e98a28e30d56a2d0e587832c67fc

commit 002568a052c8e98a28e30d56a2d0e587832c67fc
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Jul 27 11:28:40 2017 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Thu Jul 27 11:28:40 2017 -0700

    Enable attach/detach operations to storage manager
    
    Attaching volume is currently not possible from within the list of cloud
    volumes of a chosen storage manager because the handler in `ems_common`
    does not have a path for the button (even though attach/detach option is
    enabled).
    
    This patch adds the missing handlers and redirects to the required
    `cloud_volume` controller.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459190

 app/controllers/ems_common.rb | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 15 Matouš Mojžíš 2018-01-23 09:14:38 EST
Verified in 5.8.3.1. All these actions are working in Cloud Volume list selected from Block Storage manager.
Comment 18 errata-xmlrpc 2018-02-28 08:04:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374

Note You need to log in before you can comment on or make changes to this bug.